CMSIS-RTOS2: Event Flags Functions

| CMSIS-RTOS2 Version 2.1.3 Real-Time Operating System: API and RTX Reference Implementation

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Event Flags Functions
Event functions

Events generated by event flag functions. More...

## Functions
void | EvrRtxEventFlagsError (osEventFlagsId_t ef_id, int32_t status)
| Event on event flags error (Error) More...
void | EvrRtxEventFlagsNew (const osEventFlagsAttr_t *attr)
| Event on event flags create and initialize (API) More...
void | EvrRtxEventFlagsCreated (osEventFlagsId_t ef_id, const char *name)
| Event on successful event flags create (Op) More...
void | EvrRtxEventFlagsGetName (osEventFlagsId_t ef_id, const char *name)
| Event on event flags name retrieve (API) More...
void | EvrRtxEventFlagsWaitTimeout (osEventFlagsId_t ef_id)
| Event on wait timeout for event flags (Op) More...
void | EvrRtxEventFlagsDelete (osEventFlagsId_t ef_id)
| Event on event flags delete (API) More...
void | EvrRtxEventFlagsDestroyed (osEventFlagsId_t ef_id)
| Event on successful event flags delete (Op) More...

## Description

## Function Documentation

void EvrRtxEventFlagsError | ( | osEventFlagsId_t | ef_id,
|  | int32_t | status
| ) |  |

Parameters

  [in] | ef_id | event flags ID obtained by osEventFlagsNew or NULL when ID is unknown.
  [in] | status | extended execution status.

The event EventFlagsError is generated when Event Flags routines complete their execution due to an error.

The status parameter indicates the execution status and can be one of the osStatus_t codes or one of the extended execution status codes which are summarized in the table below.

Extended Status Code | Description
--- | ---
osRtxErrorKernelNotReady | Kernel scheduler is not in Ready state.
osRtxErrorKernelNotRunning | Kernel scheduler is not executing - there is no running thread.
osRtxErrorInvalidControlBlock | Object control block with invalid alignment or size was specified.
osRtxErrorInvalidDataMemory | Object data memory with invalid alignment or size was specified.
osRtxErrorInvalidThreadStack | Thread stack memory with invalid alignment or size was specified.
osRtxErrorInvalidPriority | Invalid thread priority was specified.
osRtxErrorThreadNotJoinable | Specified thread is not joinable.
osRtxErrorMutexNotOwned | Specified mutex is not owned by the current running thread.
osRtxErrorMutexNotLocked | Specified mutex is not locked.
osRtxErrorMutexLockLimit | Maximum number of recursive mutex locks reached.
osRtxErrorSemaphoreCountLimit | Semaphore count limit reached.
osRtxErrorTZ_InitContext_S | Secure context memory system initialization failed.
osRtxErrorTZ_AllocContext_S | Secure context memory allocation failed.
osRtxErrorTZ_FreeContext_S | Secure context memory deallocation failed.
osRtxErrorTZ_LoadContext_S | Secure context load failed.
osRtxErrorTZ_SaveContext_S | Secure context save failed.

Value in the Event Recorder shows:

- ef_id : event flags ID.
- status : execution status code.

void EvrRtxEventFlagsNew | ( | const osEventFlagsAttr_t * | attr | ) |

Parameters

  [in] | attr | event flags attributes.

The event EventFlagsNew is generated when the function osEventFlagsNew is called.

Value in the Event Recorder shows:

- attr : memory address of Event Flags attributes or 0 when they are not specified.

In case when event flags attributes are provided in the API call they are also detailed in the Event Recorder.

void EvrRtxEventFlagsCreated | ( | osEventFlagsId_t | ef_id,
|  | const char * | name
| ) |  |

Parameters

  [in] | ef_id | event flags ID obtained by osEventFlagsNew.
  [in] | name | pointer to event flags object name.

The event EventFlagsCreated is generated when the function osEventFlagsNew successfully creates a event flags object.

Value in the Event Recorder shows:

- ef_id : event flags ID.

void EvrRtxEventFlagsGetName | ( | osEventFlagsId_t | ef_id,
|  | const char * | name
| ) |  |

Parameters

  [in] | ef_id | event flags ID obtained by osEventFlagsNew.
  [in] | name | pointer to event flags object name.

The event EventFlagsGetName is generated when the function osEventFlagsGetName is called and its execution result is known.

Value in the Event Recorder shows:

- ef_id : event flags ID.
- name : retrieved memory address of name string (0 in case of a failure).

void EvrRtxEventFlagsWaitTimeout | ( | osEventFlagsId_t | ef_id | ) |

Parameters

  [in] | ef_id | event flags ID obtained by osEventFlagsNew.

The event EventFlagsWaitTimeout is generated when wait for event flags to become signaled is aborted due to expired wait timeout.

Value in the Event Recorder shows:

- ef_id : event flags ID.

void EvrRtxEventFlagsDelete | ( | osEventFlagsId_t | ef_id | ) |

Parameters

  [in] | ef_id | event flags ID obtained by osEventFlagsNew.

The event EventFlagsDelete is generated when the function osEventFlagsDelete is called.

Value in the Event Recorder shows:

- ef_id : event flags ID.

void EvrRtxEventFlagsDestroyed | ( | osEventFlagsId_t | ef_id | ) |

Parameters

  [in] | ef_id | event flags ID obtained by osEventFlagsNew.

The event EventFlagsDestroyed is generated when the function osEventFlagsDelete successfully deletes the event flags object.

Value in the Event Recorder shows:

- ef_id : event flags ID.